## InfdRequest

InfdRequest — Asynchronous request on the server side

## Stability Level

Unstable, unless otherwise indicated

## Properties

guint | node-id | Read / Write / Construct Only
InfXmlConnection * | requestor | Read / Write / Construct Only

## Types and Values

struct | InfdRequest
struct | InfdRequestClass

## Object Hierarchy

        GObject
        ╰── InfdRequest
            ╰── InfdProgressRequest

## Implemented Interfaces

InfdRequest implements InfRequest.

## Includes

    #include <libinfinity/server/infd-request.h>

## Description

InfdRequest represents an asynchronous operation carried out on the server side. It has the “requestor” property which specifies which connection triggered the request, if any.

## Functions

## Types and Values

### struct InfdRequest

    struct InfdRequest;

InfdRequest is an opaque data type. You should only access it via the public API functions.

### struct InfdRequestClass

    struct InfdRequestClass {
    };

This structure does not contain any public fields.

## Property Details

### The `“node-id”` property

      “node-id”                  guint

The ID of the node affected by the request.

Owner: InfdRequest

Flags: Read / Write / Construct Only

Default value: 4294967295

### The `“requestor”` property

      “requestor”                InfXmlConnection *

The connection making the request.

Owner: InfdRequest

Flags: Read / Write / Construct Only

## See Also

InfdDirectory, InfRequest